### Method

# Handy Avatar draw_to_pixbuf_async

since: 1.2

#### Declaration [src]

    void
    hdy_avatar_draw_to_pixbuf_async (
      HdyAvatar* self,
      gint size,
      gint scale_factor,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Renders asynchronously `self` into a pixbuf at `size` and `scale_factor`.

This can be used to export the fallback avatar.

Available since: 1.2

This method completes asynchronously. Use `hdy_avatar_draw_to_pixbuf_finish()` inside the `GAsyncReadyCallback` to obtain the result of the operation.

#### Parameters

`size`

  Type: `gint`

  The size of the pixbuf.

`scale_factor`

  Type: `gint`

  The scale factor.

`cancellable`

  Type: `GCancellable`

  A cancellable.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  A `GAsyncReadyCallback` to call when the avatar is generated.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  The data to pass to callback function.

  The argument can be `NULL`.
  The data is owned by the caller of the method.